Index: code/branches/pickupsFS14/data/levels/jump.oxw
===================================================================
--- code/branches/pickupsFS14/data/levels/jump.oxw	(revision 10074)
+++ code/branches/pickupsFS14/data/levels/jump.oxw	(revision 10112)
@@ -22,10 +22,10 @@
 
 <Template name=figureLeftHand defaults=0>
-  <Model position="4.0,0.0,5.0" mesh="FigureLeftHand.mesh" scale=1 pitch=90>
+  <Model position="4.0,0.0,5.0" mesh="JumpFigureLeftHand.mesh" scale=1 pitch=90>
   </Model>
 </Template>
 
 <Template name=figureRightHand defaults=0>
-  <Model position="-4.0,0.0,5.0" mesh="FigureRightHand.mesh" scale=1 pitch=90>
+  <Model position="-4.0,0.0,5.0" mesh="JumpFigureRightHand.mesh" scale=1 pitch=90>
   </Model>
 </Template>
@@ -34,5 +34,5 @@
   <JumpFigure camerapositiontemplate=jumpfigurecameras mouseFactor="100.0" modelLefthand=figureLeftHand  modelRighthand=figureRightHand rocketPos=10.0 propellerPos=10.0 bootsPos=-5.2 jumpSpeed=250.0 handMinAngle=-20 handMaxAngle=75 handSpeed=250 rocketSpeed=250.0 propellerSpeed=150.0>
     <attached>
-      <Model position="0,0,0" mesh="Figure.mesh" scale=1 pitch=90/>
+      <Model position="0,0,0" mesh="JumpFigure.mesh" scale=1 pitch=90/>
     </attached>
   </JumpFigure>
@@ -42,5 +42,5 @@
   <JumpProjectile>
     <attached>
-      <Model mesh="Projectile.mesh" scale=1  pitch=90/>
+      <Model mesh="JumpProjectile.mesh" scale=1  pitch=90/>
       <ParticleEmitter scale=1 pitch=0 roll=0 position="0, 0, 0" source="Orxonox/thruster3" lifetime=2.0 loop=1 startdelay=0.0 />
     </attached>
@@ -51,5 +51,5 @@
   <JumpPlatformStatic height=3 width=19>
     <attached>
-      <Model mesh="Platform01.mesh" scale=1  pitch=90/>
+      <Model mesh="JumpPlatform01.mesh" scale=1  pitch=90/>
       <Backlight scale=0.2 colour="0.9, 0.4, 0.0" width=7 length=500 lifetime=0.3 elements=20 trailmaterial="Trail/backlighttrail" material="Examples/Flare" loop=1 />
     </attached>
@@ -60,5 +60,5 @@
   <JumpPlatformHMove height=3 width=19>
     <attached>
-      <Model mesh="Platform02.mesh" scale=1  pitch=90/>
+      <Model mesh="JumpPlatform02.mesh" scale=1  pitch=90/>
       <Backlight scale=0.2 colour="0.1, 0.1, 1.0" width=7 length=500 lifetime=0.3 elements=20 trailmaterial="Trail/backlighttrail" material="Examples/Flare" loop=1 />
     </attached>
@@ -69,5 +69,5 @@
   <JumpPlatformVMove height=3 width=19>
     <attached>
-      <Model mesh="Platform03.mesh" scale=1  pitch=90/>
+      <Model mesh="JumpPlatform03.mesh" scale=1  pitch=90/>
       <Backlight scale=0.2 colour="1.0, 0.1, 1.0" width=7 length=500 lifetime=0.3 elements=20 trailmaterial="Trail/backlighttrail" material="Examples/Flare" loop=1 />
     </attached>
@@ -78,5 +78,5 @@
   <JumpPlatformDisappear height=3 width=19>
     <attached>
-      <Model mesh="Platform04.mesh" scale=1  pitch=90/>
+      <Model mesh="JumpPlatform04.mesh" scale=1  pitch=90/>
       <Backlight scale=0.2 colour="0.1, 1.0, 0.1" width=7 length=500 lifetime=0.3 elements=20 trailmaterial="Trail/backlighttrail" material="Examples/Flare" loop=1 />
     </attached>
@@ -87,5 +87,5 @@
   <JumpPlatformTimer height=3 width=19 effectPath="Orxonox/BigExplosion1part2" effectStartTime="0.4">
     <attached>
-      <Model mesh="Platform05.mesh" scale=1  pitch=90/>
+      <Model mesh="JumpPlatform05.mesh" scale=1  pitch=90/>
       <ParticleEmitter scaled3D="5.0, 1.0, 2.0" pitch=0 roll=0 position="-4, 0, -2.0" source="Orxonox/thruster3" lifetime=2.0 loop=1 startdelay=0.0 />
       <ParticleEmitter scaled3D="5.0, 1.0, 2.0" pitch=0 roll=0 position="0, 0, -2.0" source="Orxonox/thruster3" lifetime=2.0 loop=1 startdelay=0.0 />
@@ -98,5 +98,5 @@
   <JumpPlatformFake height=3 width=19>
     <attached>
-      <Model mesh="Platform06.mesh" scale=1  pitch=90/>
+      <Model mesh="JumpPlatform06.mesh" scale=1  pitch=90/>
       <ParticleEmitter scale3D="0.2,0.2,0.2" pitch=0 roll=0 position="0, 0, -2.5" source="Orxonox/sparks" lifetime=1.0 loop=1 startdelay=0.0 />
     </attached>
@@ -107,5 +107,5 @@
   <JumpEnemy height=7 width=18>
     <attached>
-      <Model mesh="Enemy1.mesh" scale=1  pitch=90/>
+      <Model mesh="JumpEnemy1.mesh" scale=1  pitch=90/>
       <FadingBillboard active=true scale=0.09 position="0, 0, 10" colour="0.2, 1.0, 0.65, 1.0" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
       <Backlight scale=0.33 name=bltest position="0, 0, -10" colour="0.6, 0.8, 0.75, 0.7" width=25 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />            
@@ -117,13 +117,13 @@
   <JumpEnemy height=8 width=20>
     <attached>
-      <Model mesh="Enemy2.mesh" scale=1  pitch=90/>
+      <Model mesh="JumpEnemy2.mesh" scale=1  pitch=90/>
       <MovableEntity position="-17, 0, 4" rotationaxis="0, 1, 0" rotationrate=500 >
         <attached>
-          <Model mesh="Enemy2Wing.mesh" scale=1 pitch=90/>
+          <Model mesh="JumpEnemy2Wing.mesh" scale=1 pitch=90/>
         </attached>
       </MovableEntity>      
       <MovableEntity position="17, 0, 4" rotationaxis="0, 1, 0" rotationrate=500 >
         <attached>
-          <Model mesh="Enemy2Wing.mesh" scale=1 pitch=90/>
+          <Model mesh="JumpEnemy2Wing.mesh" scale=1 pitch=90/>
         </attached>
       </MovableEntity> 
@@ -136,5 +136,5 @@
   <JumpEnemy height=8.2 width=11.2>
     <attached>
-      <Model mesh="Enemy3.mesh" scale=1  pitch=90/>
+      <Model mesh="JumpEnemy3.mesh" scale=1  pitch=90/>
       <Backlight scale3D="0.1, 0.1, 1.0" position="0, -11, -4" colour="1.0, 0.0, 0.9, 1.0" width=1 length=1 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1"/>
       <Backlight scale3D="0.1, 0.1, 1.0" position="6.32, 5.5, -4" colour="1.0, 0.0, 0.9, 1.0" width=1 length=1 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1"/>
@@ -147,5 +147,5 @@
   <JumpEnemy height=7.5 width=21.5 rotationaxis="0, 0, 1" rotationrate=40 >
     <attached>
-      <Model mesh="Enemy4.mesh" scale=1  pitch=90/>
+      <Model mesh="JumpEnemy4.mesh" scale=1  pitch=90/>
     </attached>
   </JumpEnemy>
@@ -155,5 +155,5 @@
   <JumpSpring height=6 width=9.25>
     <attached>
-      <Model mesh="Spring.mesh" scale=1  rotationaxis="0, 0, 1" pitch=90 position="0.0, 0.0, 0.0"/>
+      <Model mesh="JumpSpring.mesh" scale=1  rotationaxis="0, 0, 1" pitch=90 position="0.0, 0.0, 0.0"/>
     </attached>
   </JumpSpring>
@@ -163,5 +163,5 @@
   <JumpRocket height=8.5 width=13.5>
     <attached>
-      <Model mesh="Rocket.mesh" scale=1  pitch=90 position="0.0, 0.0, 1.0"/>
+      <Model mesh="JumpRocket.mesh" scale=1  pitch=90 position="0.0, 0.0, 1.0"/>
     </attached>
   </JumpRocket>
@@ -171,5 +171,5 @@
   <JumpPropeller height=4 width=15.5>
     <attached>
-      <Model mesh="Propeller.mesh" scale=1  pitch=90 position="0.0, 0.0, 1.0"/>
+      <Model mesh="JumpPropeller.mesh" scale=1  pitch=90 position="0.0, 0.0, 1.0"/>
     </attached>
   </JumpPropeller>
@@ -179,5 +179,5 @@
   <JumpBoots height=5.2 width=3.5>
     <attached>
-      <Model mesh="Boots.mesh" scale=1  pitch=90 position="0.0, 0.0, 1.0"/>
+      <Model mesh="JumpBoots.mesh" scale=1  pitch=90 position="0.0, 0.0, 1.0"/>
     </attached>
   </JumpBoots>
@@ -187,5 +187,5 @@
   <JumpShield height=1.55 width=15.5>
     <attached>
-      <Model mesh="Shield.mesh" scale=1 pitch=90 position="0.0, 0.0, 1.0"/>
+      <Model mesh="JumpShield.mesh" scale=1 pitch=90 position="0.0, 0.0, 1.0"/>
     </attached>
   </JumpShield>
@@ -236,18 +236,18 @@
           <attached>
 
-            <Model position="0,0,-1000" mesh="Platform01.mesh" scale="1" />
-            <Model position="0,0,-1000" mesh="Platform02.mesh" scale="1" />
-            <Model position="0,0,-1000" mesh="Platform03.mesh" scale="1" />
-            <Model position="0,0,-1000" mesh="Platform04.mesh" scale="1" />
-            <Model position="0,0,-1000" mesh="Platform05.mesh" scale="1" />
-            <Model position="0,0,-1000" mesh="Platform06.mesh" scale="1" />
-            <Model position="0,0,-1000" mesh="Projectile.mesh" scale="1" />
-            <Model position="0,0,-1000" mesh="Figure.mesh" scale="1" />
-            <Model position="0,0,-1000" mesh="Enemy1.mesh" scale="1" />
-            <Model position="0,0,-1000" mesh="Enemy2.mesh" scale="1" />
-            <Model position="0,0,-1000" mesh="Enemy3.mesh" scale="1" />
-            <Model position="0,0,-1000" mesh="Enemy4.mesh" scale="1" />
-            <Model position="0,0,-1000" mesh="Spring.mesh" scale="1" />
-            <Model position="0,0,-1000" mesh="Rocket.mesh" scale="1" />
+            <Model position="0,0,-1000" mesh="JumpPlatform01.mesh" scale="1" />
+            <Model position="0,0,-1000" mesh="JumpPlatform02.mesh" scale="1" />
+            <Model position="0,0,-1000" mesh="JumpPlatform03.mesh" scale="1" />
+            <Model position="0,0,-1000" mesh="JumpPlatform04.mesh" scale="1" />
+            <Model position="0,0,-1000" mesh="JumpPlatform05.mesh" scale="1" />
+            <Model position="0,0,-1000" mesh="JumpPlatform06.mesh" scale="1" />
+            <Model position="0,0,-1000" mesh="JumpProjectile.mesh" scale="1" />
+            <Model position="0,0,-1000" mesh="JumpFigure.mesh" scale="1" />
+            <Model position="0,0,-1000" mesh="JumpEnemy1.mesh" scale="1" />
+            <Model position="0,0,-1000" mesh="JumpEnemy2.mesh" scale="1" />
+            <Model position="0,0,-1000" mesh="JumpEnemy3.mesh" scale="1" />
+            <Model position="0,0,-1000" mesh="JumpEnemy4.mesh" scale="1" />
+            <Model position="0,0,-1000" mesh="JumpSpring.mesh" scale="1" />
+            <Model position="0,0,-1000" mesh="JumpRocket.mesh" scale="1" />
           </attached>
         </JumpCenterpoint>
